unit RRPGFichaPackDesign;

interface

uses
  Classes, RRPGPluginFicha, ToolsApi, DesignIntf, DesignEditors,
  RRPGVisaoFicha, RRPGDataSet, RRPGDBControls;

type
  TRRPGFichaModule = class(TCustomModule)

  end;

  TRRPGVisaoFichaModule = class(TCustomModule);

procedure Register;

implementation

uses
  RRPGControls, RRPGListView, RRPGComboBox, RRPGPageControl,
  RRPGPageControlEditor, RRPGTrackBar, RRPGRichEdit, RRPGAdPanel,
  RRPGDBRichEdit, RRPGDBExRichEdit, RRPGPicasa, RRPGDockSitePanel,
  RRPGDockTabSet, RRPGWinUrlImage, RRPGTreeView, RRPGActiveX_TLB,
  RRPGPaintBox;


procedure Register;
begin
  RegisterCustomModule(TRRPGFicha, TRRPGFichaModule);
  RegisterCustomModule(TfrmVisaoFicha, TRRPGVisaoFichaModule);
  RegisterComponents('RRPG DB', [TRRPGDataSet, TRDBUrlImage, TRDBBolinhaNumerica,
                                 TRDBBolinhaBooleana, TRDBRichEdit, TRExDBRichEdit]);

  RegisterComponents('RRPG', [TRURLImage, TRPanel, TRLabel, TRImageButton, TRListView,
                              TRCheckBox, TRRadioButton, TREdit, TRComboBox, TRPageControl,
                              TRTrackBar, TRHeaderPanel, TRMainPanel, TRContentPanel,
                              TRSpeedButton, TRSearchBox, TRMemo, TRRichEdit,
                              TRRichEditSingleLine,
                              TRAdPanel, TRPicasa, TRDockSitePanel, TRDockTabSet,
                              TRWinURLImage, TRTreeView, TRPaintBox]);

  RegisterComponentEditor(TRPageControl, TRPageControlEditor);
  RegisterComponentEditor(TRTabSheet, TRPageControlEditor);

  RegisterClass(TRTabSheet);
end;

end.
